aboutsummaryrefslogtreecommitdiff
path: root/sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh')
-rwxr-xr-xsh/net.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/sh/net.sh b/sh/net.sh
index 27c81ba1..649e79e5 100755
--- a/sh/net.sh
+++ b/sh/net.sh
@@ -560,7 +560,10 @@ stop() {
fi
done
- _delete_addresses "${IFACE}"
+ # Only delete addresses for non PPP interfaces
+ if ! type is_ppp >/dev/null 2>/dev/null || ! is_ppp ; then
+ _delete_addresses "${IFACE}"
+ fi
for module in ${MODULES} ; do
if type "${module}_post_stop" >/dev/null 2>/dev/null ; then